Source: golang-github-containers-image
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-github-acarl005-stripansi-dev,
               golang-github-burntsushi-toml-dev (>= 1.3.2),
               golang-github-containers-libtrust-dev,
               golang-github-containers-ocicrypt-dev (>= 1.1.9),
               golang-github-containers-storage-dev (>= 1.57),
               golang-github-coreos-bbolt-dev (>= 1.3.3~),
               golang-github-docker-distribution-dev,
               golang-github-docker-docker-credential-helpers-dev,
               golang-github-docker-docker-dev (>= 26.1),
               golang-github-docker-go-connections-dev,
               golang-github-fullsailor-pkcs7-dev,
               golang-github-ghodss-yaml-dev,
               golang-github-imdario-mergo-dev (>> 1.0),
               golang-github-klauspost-pgzip-dev,
               golang-github-manifoldco-promptui-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-moby-sys-dev (>> 0.0~git20241107),
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5~),
               golang-github-opencontainers-selinux-dev (>= 1.11),
               golang-github-ostreedev-ostree-go-dev,
               golang-github-otiai10-copy-dev,
               golang-github-pkg-errors-dev,
               golang-github-pquerna-ffjson-dev,
               golang-github-proglottis-gpgme-dev,
               golang-github-secure-systems-lab-go-securesystemslib-dev,
               golang-github-sigstore-fulcio-dev,
               golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
               golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev,
               golang-github-sylabs-sif-dev (>> 2.3.1),
               golang-github-ulikunitz-xz-dev,
               golang-github-vbatts-tar-split-dev (>= 0.11.6~),
               golang-github-vbauerster-mpb-dev (>= 8),
               golang-github-xeipuuv-gojsonschema-dev,
               golang-go,
               golang-golang-x-crypto-dev,
               golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-gopkg-cheggaaa-pb.v1-dev,
               libbtrfs-dev,
               libdevmapper-dev
Standards-Version: 4.7.0
Homepage: https://github.com/containers/image
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
XS-Go-Import-Path: github.com/containers/image
Testsuite: autopkgtest-pkg-go

Package: golang-github-containers-image
Architecture: all
Depends: ${misc:Depends}
Replaces: buildah (<< 1.17.1+dfsg1-2)
Multi-Arch: foreign
Description: Configuration files and manpages for github.com/containers repositories
 This package contains documentation and configuration files for use by
 other container projects.

Package: golang-github-containers-image-dev
Architecture: all
Breaks: golang-github-containers-buildah-dev (<< 1.37),
        golang-github-containers-common-dev (<< 0.60)
Depends: golang-github-acarl005-stripansi-dev,
         golang-github-burntsushi-toml-dev (>= 1.3.2),
         golang-github-containers-libtrust-dev,
         golang-github-containers-ocicrypt-dev (>= 1.1.9),
         golang-github-containers-storage-dev (>= 1.57),
         golang-github-coreos-bbolt-dev (>= 1.3.3~),
         golang-github-docker-distribution-dev,
         golang-github-docker-docker-credential-helpers-dev,
         golang-github-docker-docker-dev (>> 26.1),
         golang-github-docker-go-connections-dev,
         golang-github-ghodss-yaml-dev,
         golang-github-imdario-mergo-dev (>> 1.0),
         golang-github-klauspost-pgzip-dev,
         golang-github-manifoldco-promptui-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-github-moby-sys-dev (>> 0.0~git20241107),
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5),
         golang-github-opencontainers-selinux-dev (>= 1.11),
         golang-github-ostreedev-ostree-go-dev,
         golang-github-pkg-errors-dev,
         golang-github-proglottis-gpgme-dev,
         golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.7),
         golang-github-sigstore-fulcio-dev,
         golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
         golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
         golang-github-sirupsen-logrus-dev,
         golang-github-stretchr-testify-dev,
         golang-github-sylabs-sif-dev (>> 2.3.1),
         golang-github-ulikunitz-xz-dev,
         golang-github-vbatts-tar-split-dev (>= 0.11.6),
         golang-github-vbauerster-mpb-dev (>= 8),
         golang-github-xeipuuv-gojsonschema-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
         golang-golang-x-net-dev,
         golang-golang-x-sync-dev,
         golang-gopkg-cheggaaa-pb.v1-dev,
         ${misc:Depends}
Description: golang library to work with containers' images
 This library aims at working in various way with containers' images and
 container image registries and allows an application to pull and push
 images from container image registries, like the upstream docker
 registry. It also implements "simple image signing".
